<mat-sidenav-container class="sidenav-container">

    <mat-sidenav #drawer class="sidenav" fixedInViewport
                 [attr.role]="(isHandset$ | async) ? 'dialog' : 'navigation'"
                 [mode]="(isHandset$ | async) ? 'over' : 'side'"
                 [opened]="(isHandset$ | async) === false">
      <mat-toolbar>Menu</mat-toolbar>
      <mat-nav-list>
      <a mat-list-item  *ngIf="tokenManagerService.getToken() == null"routerLink="login" routerLinkActive="active" (click)="changeTitle($event)">Login</a>
      <a mat-list-item *ngIf="tokenManagerService.getToken() != null"routerLink="logout" routerLinkActive="active" (click)="changeTitle($event)">Logout</a>
      <a mat-list-item *ngIf="tokenManagerService.getToken() != null"routerLink="account" routerLinkActive="active" (click)="changeTitle($event)">Accounts</a>
    </mat-nav-list>
  </mat-sidenav>
  <mat-sidenav-content>
    <mat-toolbar color="primary">
      <button
        type="button"
        aria-label="Toggle sidenav"
        mat-icon-button
        (click)="drawer.toggle()"
        *ngIf="isHandset$ | async">
        <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
      </button>
      <span>{{title}}</span>
    </mat-toolbar>
    <!-- Add Content Here -->
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>


